| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.ResizableTile

Portability | unportable
Stability | unstable
Maintainer | MATSUYAMA Tomohiro <t.matsuyama.pub@gmail.com>

Contents

Usage

Description
More useful tiled layout that allows you to change a width/height of window.
Synopsis

data ResizableTall a = ResizableTall {

_nmaster :: Int
_delta :: Rational
_frac :: Rational
_slaves :: [Rational]

}

data MirrorResize

= MirrorShrink
| MirrorExpand

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ResizableTile

Then edit your `layoutHook` by adding the ResizableTile layout:

     myLayout =  ResizableTall 1 (3/100) (1/2) [] ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

You may also want to add the following key bindings:

     , ((modm,               xK_a), sendMessage MirrorShrink)
     , ((modm,               xK_z), sendMessage MirrorExpand)

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

data ResizableTall a | Source

Constructors

ResizableTall |

_nmaster :: Int | number of master windows
_delta :: Rational | change when resizing by `Shrink`, `Expand`, `MirrorShrink`, `MirrorExpand`
_frac :: Rational | width of master
_slaves :: [Rational] | fraction to multiply the window height that would be given when divided equally. slave windows are assigned their modified heights in order, from top to bottom unspecified values are replaced by 1

Instances

LayoutClass ResizableTall a
Read (ResizableTall a)
Show (ResizableTall a)

data MirrorResize | Source

Constructors

MirrorShrink |
MirrorExpand |

Instances

Typeable MirrorResize
Message MirrorResize

Produced by Haddock version 2.4.2